<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/clRoot"
    android:visibility="invisible"
    tools:visibility="visible"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="wrap_content"
        android:layout_marginStart="12dp"
        android:background="@drawable/shape_20000000_41"
        android:layout_height="34dp">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_marginStart="2dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="30dp"
            android:layout_height="30dp"/>

        <LinearLayout
            android:id="@+id/ll"
            android:orientation="vertical"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvName"
                android:textSize="14dp"
                android:textColor="#fff"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="2dp"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:maxLines="1"
                android:maxWidth="120dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/ivAvatar"
                tools:text="NickNamed"
                app:layout_constraintHorizontal_bias="0"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvId"
                android:textSize="8dp"
                android:textColor="#fff"
                app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="2dp"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:maxWidth="120dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/ivAvatar"
                app:layout_constraintHorizontal_bias="0"
                tools:text="ID:dddddddddd"
                android:maxLines="1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

        </LinearLayout>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvFollow"
            android:background="@drawable/shape_ff56b7_37"
            app:layout_constraintTop_toTopOf="@+id/cl"
            app:layout_constraintStart_toEndOf="@+id/ll"
            android:visibility="gone"
            tools:visibility="visible"
            android:textSize="12dp"
            android:textColor="#fff"
            android:text="@string/follow"
            android:gravity="center"
            android:paddingStart="10dp"
            android:paddingEnd="10dp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginEnd="2dp"
            app:layout_constraintBottom_toBottomOf="@+id/cl"
            android:layout_width="wrap_content"
            android:layout_height="30dp"/>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvUser"
        app:layout_constraintStart_toEndOf="@+id/cl"
        app:layout_constraintEnd_toStartOf="@+id/tvNum"
        android:layout_marginStart="10dp"
        android:requiresFadingEdge="horizontal"
        app:layout_constraintTop_toTopOf="@+id/cl"
        app:layout_constraintBottom_toBottomOf="@+id/cl"
        android:layout_width="0dp"
        android:layout_height="30dp"/>

    <TextView
        android:id="@+id/tvNum"
        android:textSize="13dp"
        tools:text="99+"
        android:textColor="#fff"
        android:gravity="center"
        android:background="@drawable/shape_20000000_14"
        android:layout_marginEnd="55dp"
        android:layout_marginStart="5dp"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/rvUser"
        app:layout_constraintBottom_toBottomOf="@+id/rvUser"
        app:layout_constraintStart_toEndOf="@+id/rvUser"
        android:layout_width="30dp"
        android:layout_height="30dp"/>

    <LinearLayout
        android:id="@+id/clIncome"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:layout_marginStart="12dp"
        app:layout_constraintStart_toStartOf="parent"
        android:orientation="horizontal"
        android:layout_marginTop="10dp"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:paddingTop="2dp"
        android:paddingBottom="2dp"
        android:background="@drawable/shape_20000000_41"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:layout_gravity="center_vertical"
            android:src="@mipmap/icon_diamond"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tvIncome"
            android:layout_marginStart="2dp"
            android:textSize="12dp"
            android:textColor="#fff"
            android:text="000000000"
            android:maxLines="1"
            android:gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/clHot"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:layout_marginStart="12dp"
        app:layout_constraintStart_toEndOf="@+id/clIncome"
        android:orientation="horizontal"
        android:layout_marginTop="10dp"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:paddingTop="2dp"
        android:paddingBottom="2dp"
        android:background="@drawable/shape_20000000_41"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:layout_gravity="center_vertical"
            android:src="@mipmap/hot"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tvHot"
            android:layout_marginStart="2dp"
            android:textSize="12dp"
            android:textColor="#fff"
            android:text="000000000"
            android:maxLines="1"
            android:gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>

    <com.swago.baseswago.cusview.RegularTextView
        android:id="@+id/tvTime"
        android:textSize="12dp"
        android:textColor="#fff"
        android:background="@drawable/shape_20000000_41"
        android:maxWidth="120dp"
        tools:text="23min"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:paddingTop="2dp"
        android:paddingBottom="2dp"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:layout_marginStart="12dp"
        app:layout_constraintStart_toEndOf="@+id/clHot"
        android:orientation="horizontal"
        android:layout_marginTop="10dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


</androidx.constraintlayout.widget.ConstraintLayout>